Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228698 - cracklib unusable, error in packer.h
Summary: cracklib unusable, error in packer.h
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: cracklib
Version: 6
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Brian Brock
URL: http://cracklib.svn.sourceforge.net/v...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-14 15:49 UTC by Bernhard Weisshuhn
Modified: 2008-01-05 18:02 UTC (History)
0 users

Fixed In Version: cracklib-2.8.9-10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-01-05 18:02:20 UTC


Attachments (Terms of Use)

Description Bernhard Weisshuhn 2007-02-14 15:49:02 UTC
Description of problem:

Syntax error in packer.h, problematic typedef of uint32_t

Version-Release number of selected component (if applicable):

cracklib-2.8.9-3.1

How reproducible:

always.

Steps to Reproduce:
1. echo "#include <packer.h>\nint main(){0;}" > test.c
2. gcc test.c
  
Actual results:

In file included from test.c:1:
/usr/include/packer.h:91: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or
‘__attribute__’ before ‘FindPW’

Expected results:

none.

Additional info:

Fixed upstream, developer seems to need help:
http://cracklib.svn.sourceforge.net/viewvc/cracklib?view=rev&revision=90

Similar Gentoo Bugreport (with patch):
http://bugs.gentoo.org/show_bug.cgi?id=142765

Comment 1 Bernhard Weisshuhn 2007-02-26 12:42:36 UTC
bumping severity. imho a completely unusable devel-package is higly severe.

Comment 2 Bernhard Weisshuhn 2007-03-09 13:24:48 UTC
Bug still present in cracklib-devel-2.8.9-9 from fc7 test.

Doesn't anybody compile anything with cracklib any more? It plain doesn't work!
What use is a devel package with broken headers?


Comment 3 Till Maas 2008-01-05 18:02:20 UTC
Fixed in cracklib-2.8.9-10
To test this, the test.c creation had to be:

echo -e "#include <packer.h>\nint main(){0;}" > test.c

(the -e to echo was missing)


Note You need to log in before you can comment on or make changes to this bug.